Name:           eb
Version:        4.3
Release:        1%{?dist}
Summary:        Library for accessing Japanese CD-ROM electronic books
Summary(ja):    CD-ROM 書籍にアクセスするためのライブラリ

Group:          System Environment/Libraries
License:        BSD
URL:            http://www.sra.co.jp/people/m-kasahr/eb/
Source0:        ftp://ftp.sra.co.jp/pub/misc/eb/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  zlib-devel
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
EB Library is a C library for accessing CD-ROM books.  
EB Library supports to access CD-ROM books of 
EB, EBG, EBXA, EBXA-C, S-EBXA and EPWING formats.  

%description -l ja
EB ライブラリは CD-ROM 書籍にアクセスするための C のライブラリです。
EB, EBG, EBXA, EBXA-C, S-EBXA および EPWING 形式の 
CD-ROM 書籍に対応しています。


%package devel
Summary:        eb libray development files
Group:          Development/Libraries
Requires:       eb = %{version}

%description devel
This package contains development files needs to use eb in programs.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/libeb.la

rm -rf tmp
mkdir -p tmp
mv $RPM_BUILD_ROOT%{_datadir}/eb/doc tmp/html

%find_lang %{name}
%find_lang %{name}utils
cat %{name}utils.lang >> %{name}.lang


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%config %{_sysconfdir}/eb.conf
%{_bindir}/*
%{_libdir}/libeb.so.*
%{_datadir}/eb


%files devel
%defattr(-,root,root,-)
%doc tmp/html
%{_includedir}/eb
%{_libdir}/libeb.so
%{_datadir}/aclocal/*


%changelog
* Mon Feb 12 2007 Jens Petersen <petersen@redhat.com> - 4.3-1
- initial packaging for Fedora
